

-------- talk 1
local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_YELL")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_YELL" and msg=="Hotel California" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
        end
end);

SLASH_HOTEL1 = "/hs";
SlashCmdList.HOTEL1 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="Hotel California" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Hotel.ogg")
        end
end);



---------- talk 2

--SLASH_RELOADUI1 = "/rl" SlashCmdList.RELOADUI = ReloadUI

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_YELL")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_YELL" and msg=="Sax Guy" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Guy.ogg")
        end
end);

SLASH_SAXGUY1 = "/sgs";
SlashCmdList.SAXGUY1 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Guy.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="Sax Guy" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\Guy.ogg")
        end
end);

------------ talk 3


local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_YELL")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_YELL" and msg=="1" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\1.ogg")
        end
end);

SLASH_PLAY1 = "/p1";
SlashCmdList.PLAY1 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\1.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="1" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\1.ogg")
        end
end);

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="2" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\2.ogg")
        end
end);

SLASH_PLAY2 = "/p2";
SlashCmdList.PLAY2 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\2.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="3" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\3.ogg")
        end
end);

SLASH_PLAY3 = "/p3";
SlashCmdList.PLAY3 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\3.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="4" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\4.ogg")
        end
end);

SLASH_PLAY4 = "/p4";
SlashCmdList.PLAY4 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\4.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="5" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\5.ogg")
        end
end);

SLASH_PLAY5 = "/p5";
SlashCmdList.PLAY5 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\5.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="6" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\6.ogg")
        end
end);

SLASH_PLAY6 = "/p6";
SlashCmdList.PLAY6 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\6.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="7" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\7.ogg")
        end
end);

SLASH_PLAY7 = "/p7";
SlashCmdList.PLAY7 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\7.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="8" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\8.ogg")
        end
end);

SLASH_PLAY8 = "/p8";
SlashCmdList.PLAY8 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\8.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="9" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\9.ogg")
        end
end);

SLASH_PLAY9 = "/p9";
SlashCmdList.PLAY9 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\9.ogg");
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="10" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\10.ogg")
        end
end);

SLASH_PLAY10 = "/p10";
SlashCmdList.PLAY10 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\10.ogg");
end
-- Done!
local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="award" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\award.ogg")
        end
end);
-- okay now we are really done!

SLASH_AWARD1 = "/ap1";
SlashCmdList.AWARD1 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\award.ogg");
end

-- OKAY NOW WE ARE Done

-- talk 4

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_YELL")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_YELL" and msg=="XP" then
		print ('Your current XP is ' .. UnitXP("player"));
		print ('To level up you need ' .. UnitXPMax("player"));
        end
end);

SLASH_XP1 = "/lbxp";
SlashCmdList.XP1 = function()
	print ('Your current XP is ' .. UnitXP("player"));
	print ('To level up you need ' .. UnitXPMax("player"));
end

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="XP" then
		print ('Your current XP is ' .. UnitXP("player"));
		print ('To level up you need ' .. UnitXPMax("player"));
        end
end);

local frame = CreateFrame("FRAME", "IMREADY");
frame:RegisterEvent("CHAT_MSG_SAY")
frame:SetScript("OnEvent",function(self,event,msg)
        if event=="CHAT_MSG_SAY" and msg=="Cheer" then
		PlaySoundFile("Interface\\AddOns\\LB_Cheer\\cheer.ogg")
        end
end);

SLASH_CHEER1 = "/cheerp";
SlashCmdList.CHEER1 = function()
	PlaySoundFile("Interface\\AddOns\\LB_Cheer\\cheer.ogg");
end